<?php
// Funktion zum Protokollieren von Ereignissen
function logEvent($action, $item_name, $description) {
    $log_file = 'log.txt';
    $timestamp = date('Y-m-d H:i:s');
    $log_entry = "$timestamp - $action - $item_name - $description" . PHP_EOL;

    // Überprüfen, ob die Logdatei existiert, andernfalls erstellen
    if (!file_exists($log_file)) {
        $new_file = fopen($log_file, 'w') or die("Kann die Logdatei nicht erstellen");
        fclose($new_file);
    }

    // Daten in die Logdatei schreiben
    file_put_contents($log_file, $log_entry, FILE_APPEND | LOCK_EX);
}

// Loggen des Hinzufügens eines Artikels
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["item_name"])) {
    $item_name = $_POST["item_name"];
    logEvent('Hinzufügen', 'Artikel', "Artikel hinzugefügt: $item_name");
}

// Loggen des Änderns eines Artikels
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["update"])) {
    $item_name = $_POST["item_name"];
    logEvent('Ändern', 'Artikel', "Artikel geändert: $item_name");
}

// Loggen des Löschens eines Artikels
if ($_SERVER["REQUEST_METHOD"] == "GET" && isset($_GET["id"])) {
    // Hier können Sie je nach Bedarf den Namen des gelöschten Artikels aus der Datenbank abrufen
    $item_name = "Artikel mit ID " . $_GET["id"];
    logEvent('Löschen', 'Artikel', "Artikel gelöscht: $item_name");
}

// Loggen des Backup-Ereignisses
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['backup'])) {
    logEvent('Backup erstellt', 'Backup', 'Backup erstellt');
}

// Loggen des Wiederherstellungsereignisses
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['restore'])) {
    logEvent('Wiederherstellung durchgeführt', 'Wiederherstellung', 'Wiederherstellung durchgeführt');
}

// Loggen des Wiederherstellungsereignisses aus ausgewähltem Backup
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['restore_from_selected'])) {
    $selected_backup = $_POST['selected_backup'];
    logEvent('Wiederherstellung ausgewähltes Backup durchgeführt', 'Wiederherstellung', "Ausgewählte Backup-Datei: $selected_backup");
}
?>
